Bug 4187 - KDM always uses /bin/bash as a login shell
: KDM always uses /bin/bash as a login shell
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kdebase-kdm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-19 14:20 by
Modified: 2013-08-15 16:12 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-19 14:20:09
When using a runlevel 5 (graphics mode) login (via kdm) a /bin/bash is always 
set as a login shell regardless of what default shell is set for the user in 
/etc/passwd. Distributive ALT Compact 2.3.
------- Comment #1 From 2004-05-19 14:42:36 -------
This is not my problem.
------- Comment #2 From 2008-01-19 23:48:40 -------
2 legion: indeed, but why the "Form for enter new bug" then? :)

Сергей, просьба посмотреть KDE 3.5.8+ в Desktop 4.0+
------- Comment #3 From 2008-01-20 00:00:42 -------
(In reply to comment #2)
> 2 legion: indeed, but why the "Form for enter new bug" then? :)

I don't reassign bug to proper component. That why I have closed the "Bugzilla"
product.

------- Comment #4 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #5 From 2013-08-15 16:12:59 -------
Бага не воспроизводится во вчерашней сборке
http://nightly.altlinux.org/sisyphus/tested/regular-tde-latest-i586.iso с
kdebase-kdm-3.5.13.2-alt4: после загрузки сессии запустил konsole,
удостоверился, что $SHELL = /bin/bash, пошёл в tty2, сменил шелл пользователю
altlinux на /bin/zsh, service dm restart => в konsole уже zsh.